> For the complete documentation index, see [llms.txt](https://docs.violet.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.violet.io/api-reference/orders-and-checkout/orders/search-orders.md).

# Search Orders

Search for all `Orders` placed through your application given certain filter critera.

This endpoint will only return completed orders by default (no carts). However it is possible to use this endpoint as a "Search Carts" endpoint by combining two parameters.\
If you wish to include `IN_PROGRESS` orders AKA carts you can set the `exclude_in_progress` query param to `false`.

If you want to use order search to *only* search for `IN_PROGRESS` orders, that is to say, searching for carts, you can include the the following query in your search body: `{"bag_status": "IN_PROGRESS"}`.\
You must still set `exclude_in_progress` to false in this case.

{% openapi src="/files/6wHrOR6auqy1RgLt3CZI" path="/orders/search" method="post" expanded="true" %}
[order-service.yaml](https://3937396275-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F8lXIp71Ct5qCUhXjko2q%2Fuploads%2Fgit-blob-4abe5aea8922866d3520a6e30cc002332bcb9d5f%2Forder-service.yaml?alt=media\&token=4674258f-0871-4fbe-9da4-b2857897fc92)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.violet.io/api-reference/orders-and-checkout/orders/search-orders.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
